using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace Library
{
    public partial class FormMember_Add : Form
    {
        public string pic = "";
        DataAccess da = new DataAccess();
        public FormMember_Add()
        {
            InitializeComponent();
        }

        private void button2_Click(object sender, EventArgs e)
        {
            this.Close();
        }

        private void btnok_Click(object sender, EventArgs e)
        {
            if (txtname.Text == "")
            {
                MessageBox.Show("!لطفا فیلد نام را پر نمائید","",MessageBoxButtons.OK,MessageBoxIcon.Error);
                return;
            }
            if (txtfamily.Text == "")
            {
                MessageBox.Show("!لطفا فیلد نام خانوادگی را پر نمائید", "", MessageBoxButtons.OK, MessageBoxIcon.Error);
                return;
            }
            if (txtuser.Text == "")
            {
                MessageBox.Show("!لطفا فیلد نام کاربری را پر نمائید", "", MessageBoxButtons.OK, MessageBoxIcon.Error);
                return;
            }
            if (txtpass.Text == "")
            {
                MessageBox.Show("!لطفا فیلد رمز عبور را پر نمائید", "", MessageBoxButtons.OK, MessageBoxIcon.Error);
                return;
            }
            da.Connect();
            string sql = "select * from member where muser='{0}'";
            sql = string.Format(sql,txtuser.Text);
            DataTable dt = new DataTable();
            dt = da.Select(sql);
            if (dt.Rows.Count == 0)
            {
                sql = "insert into member (mname,mfamily,mtell,maddress,mpic,muser,mpass)";
                sql += "values(N'{0}',N'{1}',N'{2}',N'{3}',N'{4}',N'{5}',N'{6}')";
                sql = string.Format(sql, txtname.Text, txtfamily.Text, txttell.Text,
                                    txtaddress.Text, this.pic, txtuser.Text, txtpass.Text);
                da.DoCommand(sql);
                da.DisConnect();
                this.Close();
            }
            else
            {
                da.DisConnect();
                MessageBox.Show("لطفا نام کاربری خود را عوض نمائید", "پیام خطا", MessageBoxButtons.OK, MessageBoxIcon.Warning);
            }
        }

        private void button1_Click(object sender, EventArgs e)
        {
            openFileDialog1.ShowDialog();
            this.pic = openFileDialog1.FileName;
            pictureBox1.Load(this.pic);
        }

        private void button2_Click_1(object sender, EventArgs e)
        {
            this.Close();
        }
    }
}
